> For the complete documentation index, see [llms.txt](https://docs.zaui.com/zapi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zaui.com/zapi/zapi-calls/activity-calls/rental-equipment-calls/add-to-cart.md).

# Add to Cart

## zapiAddActivityToCart

<mark style="color:blue;">`GET`</mark> `https://{yourdomainname}.zaui.net/zapi/`

#### Request Body

| Name                                                   | Type    | Description                                                                                        |
| ------------------------------------------------------ | ------- | -------------------------------------------------------------------------------------------------- |
| zapiToken<mark style="color:red;">\*</mark>            | integer | Token that must be used for a reseller to communicate with the supplier system.                    |
| activityId<mark style="color:red;">\*</mark>           | integer | ID of the activity.                                                                                |
| cartId<mark style="color:red;">\*</mark>               | integer | ID of the cart session to add the activity to.                                                     |
| methodName<mark style="color:red;">\*</mark>           | string  | The method being called.                                                                           |
| zapiUserId<mark style="color:red;">\*</mark>           | integer | Generated by the supplier system when a new contact is created.                                    |
| zapiAccountId<mark style="color:red;">\*</mark>        | integer | Generated by the supplier system.                                                                  |
| activityDate<mark style="color:red;">\*</mark>         | integer | The travel start date.  Format: YYYY:MM:DD.                                                        |
| activityEndDate<mark style="color:red;">\*</mark>      | integer | The travel end date.  Format: YYYY:MM:DD. Required for rental activities only.                     |
| activityTime<mark style="color:red;">\*</mark>         | integer | Required for non-rental activities only. Format: HH:MM:SS.                                         |
| activityTimeOptionId<mark style="color:red;">\*</mark> | integer | Required for rental activities only. Can be retrieved using the zapiGetActivityDetailsByActivityId |
| rentalStartTime<mark style="color:red;">\*</mark>      | integer | Required for rental activities only.                                                               |
| rentalEndTime<mark style="color:red;">\*</mark>        | integer | Required for rental activities only.                                                               |
| passengers<mark style="color:red;">\*</mark>           | integer | Required for non-equipment based rental activities only.                                           |
| CategoryId<mark style="color:red;">\*</mark>           | integer | ID of the equipment category                                                                       |
| equipmentCategoryName                                  | string  | Name of the equipment category                                                                     |
| equipmentId                                            | integer | ID of the specific piece of equipment to book                                                      |

{% tabs %}
{% tab title="Request" %}

```xml
<<request>
   <zapiToken></zapiToken>
   <zapiAccountId></zapiAccountId>
   <zapiUserId></zapiUserId>
   <zapiMethod>
    <methodName>zapiAddActivityToCart</methodName>
    <cartId></cartId>
    <activityId></activityId>
    <activityDate></activityDate>
    <activityEndDate></activityEndDate>
    <activityTime></activityTime>
    <activityTimeOptionId></activityTimeOptionId>
    <rentalStartTime></rentalStartTime>
    <rentalEndTime></rentalEndTime>
    <passengers>
        <seniors>0</seniors>
        <adults>0</adults>
        <students>0</students>
        <children>0</children>
        <infants>0</infants>
    </passengers>
    <equipment>
      <equipmentCategory>
        <CategoryId></CategoryId>
        <equipmentCategoryName></equipmentCategoryName>
        <quantity></quantity>
      </equipmentCategory>
      <selectedEquipment>
        <equipmentId></equipmentId>
        <equipmentId></equipmentId>
      </selectedEquipment>
    </equipment>
  </zapiMethod>
</request>
```

{% endtab %}

{% tab title="Response" %}

```xml
Response not currently available
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zaui.com/zapi/zapi-calls/activity-calls/rental-equipment-calls/add-to-cart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
